// Création de la classe
class Corpulence{
    constructor(taille, poids){
        this.taille = taille;
        this.poids = poids;
    }
    age = 0;

    calculImc(){
        let imc = 0;
        if (this.poids <= 0 || this.taille <= 0){
            imc = 0;
        }else{
            imc =Math.round(10000 * this.poids/(this.taille**2));
        }
        return imc;
    }
}

// Création d'un objet de la classe Corpulence
let jean = new Corpulence(170, 69);
let marie = new Corpulence(160, 50);

jean.age = 35;
marie.age = 24;


console.log(jean.calculImc());
console.log(marie.calculImc());
